#
# spec file for package fritzing-parts
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define githash de7f8a4c8f7df4ed57386edf68275cdd66a1910d

Name:           fritzing-parts
Version:        0.9.2b
Release:        3.5
Summary:        Electronic components for use in the Fritzing app (aka the parts library)
License:        CC-BY-SA-3.0 and GPL-2.0+ and GPL-3.0+
Group:          Productivity/Scientific/Electronics
Url:            http://fritzing.org/
Source0:        https://github.com/fritzing/fritzing-parts/archive/%{githash}.tar.gz
Source1:        https://raw.githubusercontent.com/fritzing/fritzing-app/master/LICENSE.CC-BY-SA
BuildArch:      noarch
BuildRequires:  fdupes

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fritzing is an open-source initiative to support designers, artists,
researchers and hobbyists to take the step from physical prototyping
to actual product. It is in the spirit of Processing and Arduino which
allows users to document their Arduino and other electronic-based
prototypes, and to create a PCB layout for manufacturing.

This packages contains the parts definitions for the electronic
components used in the Fritzing app.

%prep
%setup -q -n %{name}-%{githash}

%build

%install
cp %{SOURCE1} .
mkdir -p %{buildroot}%{_datadir}/fritzing/parts/
cp -a * %{buildroot}%{_datadir}/fritzing/parts/

find %{buildroot}%{_datadir}/fritzing/parts/ -name placeholder.txt -exec rm {} \;
find %{buildroot}%{_datadir}/fritzing/ -type f -exec chmod -x {} \;
rm -f %{buildroot}%{_datadir}/fritzing/parts/README.md %{buildroot}%{_datadir}/fritzing/parts/LICENSE.CC-BY-SA
chmod +x %{buildroot}%{_datadir}/fritzing/parts/part-gen-scripts/misc_scripts/checkino.py
chmod +x %{buildroot}%{_datadir}/fritzing/parts/part-gen-scripts/misc_scripts/fixino.py
chmod +x %{buildroot}%{_datadir}/fritzing/parts/part-gen-scripts/obsolete/fullbreadboardgenerator/generator.py
chmod +x %{buildroot}%{_datadir}/fritzing/parts/part-gen-scripts/obsolete/resistorSetGenerator/resistorSetGenerator.py
chmod +x %{buildroot}%{_datadir}/fritzing/parts/part-gen-scripts/obsolete/resistorSetGenerator/valuesAndColors_forResistors.py
chmod +x %{buildroot}%{_datadir}/fritzing/parts/part-gen-scripts/obsolete/footgen/footgen.py
chmod +x %{buildroot}%{_datadir}/fritzing/parts/part-gen-scripts/obsolete/dilPackageGenerator/generator.py
chmod +x %{buildroot}%{_datadir}/fritzing/parts/part-gen-scripts/misc_scripts/875fzpzs.py
%fdupes %{buildroot}%{_datadir}/fritzing/parts

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.CC-BY-SA
%{_datadir}/fritzing/

%changelog
* Tue Apr  7 2015 bugs@vdm-design.de
- Update to version 0.9.2b
  * Parts
    RaspIO Duino http://raspi.tv/tag/raspio-duino
    stm32 nucleo board http://bit.do/2cmY
    dquid io board http://www.dquid.com/
    Raspberry Pi 2 http://bit.do/2cnn
    sodaq mbili http://mbili.sodaq.net/
    WeIO http://www.we-io.net/
    netduino plus2 http://www.netduino.com/netduinoplus2/specs.htm
    some more sparkfun-parts
    ws2812
    sim928A
    8x8 matrix
